#version 310 es
#extension GL_ANDROID_extension_pack_es31a : enable

precision mediump float;

// INPUT
in vec3 v_vCubemapCoord;

// OUTPUT
layout(location = 0) out vec4 o_vFragColor;

// UNIFORMS
layout(binding = 4) uniform sampler2D u_tSandTex;
layout(binding = 5) uniform sampler2D u_tGradientTex;

void main()
{
    // o_vFragColor = vec4(0.0f, ((normalize(v_vCubemapCoord.xyz) + 1.0f) * 0.5f).y, 0.0f, 1.0f);
    o_vFragColor = vec4(texture(u_tGradientTex, vec2(0.5f, (normalize(v_vCubemapCoord.xyz).y + 1.0f) * 0.5f)).rgb, 1.0f);

}
